import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import Copy from './Copy';
import ShowHide from './ShowHide';
import Codesandbox from './codesandbox';
import Codepen from './codepen';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var Code = props => {
  var {
    code,
    copyNodes,
    codePadding,
    customButton,
    codeSandboxOptions,
    codePenOptions,
    title
  } = props;
  var style = React.useMemo(() => {
    if (typeof codePadding) {
      return {
        padding: codePadding
      };
    }

    return {};
  }, [codePadding]);
  var [show, setShow] = React.useState(false);
  return /*#__PURE__*/_jsxs(React.Fragment, {
    children: [/*#__PURE__*/_jsxs("div", {
      className: "preview-button",
      children: [/*#__PURE__*/_jsx("div", {
        className: "preview-button-left",
        children: title
      }), /*#__PURE__*/_jsxs("div", {
        className: "preview-button-right",
        children: [customButton, codeSandboxOptions && /*#__PURE__*/_jsx(Codesandbox, _extends({}, codeSandboxOptions)), codePenOptions && /*#__PURE__*/_jsx(Codepen, _extends({}, codePenOptions)), /*#__PURE__*/_jsx(ShowHide, {
          show: show,
          onClick: setShow
        })]
      })]
    }), /*#__PURE__*/_jsxs("div", {
      className: "preview-code preview-code-" + show,
      style: style,
      children: [/*#__PURE__*/_jsx(Copy, {
        copyNodes: copyNodes
      }), /*#__PURE__*/_jsx("pre", {
        children: code
      })]
    })]
  });
};

export default Code;
//# sourceMappingURL=index.js.map