import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["prefixCls", "code", "className", "copyNodes", "customButton", "bordered", "noButton", "codePadding", "codeSandboxOptions", "codePenOptions", "title"];
import Code from './code';
import React from 'react';
import './styles/index.css';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export * from './interface';

var CodeLayout = props => {
  var {
    prefixCls = 'code-preview-layout',
    code,
    className = '',
    copyNodes = '',
    customButton,
    bordered = true,
    noButton = false,
    codePadding = 16,
    codeSandboxOptions,
    codePenOptions,
    title
  } = props,
      rest = _objectWithoutPropertiesLoose(props, _excluded);

  return /*#__PURE__*/_jsxs("div", {
    className: prefixCls + " " + prefixCls + "-body-" + bordered + " " + className,
    children: [/*#__PURE__*/_jsx("div", _extends({}, rest, {
      className: "preview preview-body-" + bordered
    })), !noButton && /*#__PURE__*/_jsx(Code, {
      title: title,
      codeSandboxOptions: codeSandboxOptions,
      codePenOptions: codePenOptions,
      codePadding: codePadding,
      customButton: customButton,
      code: code,
      copyNodes: copyNodes
    })]
  });
};

export default CodeLayout;
//# sourceMappingURL=index.js.map