"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _copy = _interopRequireDefault(require("./../assets/copy.svg"));

var _checkSign = _interopRequireDefault(require("./../assets/checkSign.svg"));

var _copyToClipboard = _interopRequireDefault(require("@uiw/copy-to-clipboard"));

var _jsxRuntime = require("react/jsx-runtime");

var Copy = function Copy(props) {
  var _props$copyNodes = props.copyNodes,
      copyNodes = _props$copyNodes === void 0 ? '' : _props$copyNodes;

  var copyRef = _react["default"].useRef(null);

  var copyTime = _react["default"].useRef();

  var isCopy = _react["default"].useMemo(function () {
    return !!copyNodes;
  }, [copyNodes]);

  var onCopy = function onCopy() {
    var _copyRef$current, _copyRef$current2;

    if (copyTime.current) {
      return;
    }

    copyTime.current = true;
    var classList = (_copyRef$current = copyRef.current) === null || _copyRef$current === void 0 ? void 0 : _copyRef$current.getAttribute('class');
    (_copyRef$current2 = copyRef.current) === null || _copyRef$current2 === void 0 ? void 0 : _copyRef$current2.setAttribute('class', "".concat(classList, " preview-button-copy-active"));
    (0, _copyToClipboard["default"])(copyNodes, function () {
      setTimeout(function () {
        var _copyRef$current3;

        copyTime.current = false;
        (_copyRef$current3 = copyRef.current) === null || _copyRef$current3 === void 0 ? void 0 : _copyRef$current3.setAttribute('class', "".concat(classList));
      }, 2000);
    });
  };

  var CopyRender = _react["default"].useMemo(function () {
    if (isCopy) {
      return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        ref: copyRef,
        onClick: onCopy,
        className: "preview-button-span preview-button-copy",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
          alt: "",
          className: "copy",
          width: 20,
          height: 20,
          src: _copy["default"]
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
          alt: "",
          className: "check",
          width: 20,
          height: 20,
          src: _checkSign["default"]
        })]
      });
    }

    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_react["default"].Fragment, {}); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [isCopy, copyNodes]);

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_react["default"].Fragment, {
    children: CopyRender
  });
};

var _default = Copy;
exports["default"] = _default;
module.exports = exports.default;
//# sourceMappingURL=Copy.js.map